      subroutine cross(ax,ay,az,bx,by,bz,cx,cy,cz,r)
c
c  Subroutine CROSS computes the vector product of two vectors; i.e.,
c
c                (cx,cy,cz) = (ax,ay,az) X (bx,by,bz)
c 
      cx=ay*bz-az*by
      cy=az*bx-ax*bz
      cz=ax*by-ay*bx
      r=sqrt(cx**2+cy**2+cz**2)
      return
      end
